Subject: Re: [PATCH] book3s_hv_rmhandlers:Pass the correct trap argument to kvmhv_commence_exit

From: Gautham R Shenoy <[email-masked]>
Date: Mon, 17 Aug 2015 11:23:45 +0530

Hi Sam,

On Fri, Aug 14, 2015 at 03:07:28PM +1000, Sam Bobroff wrote:
> On Thu, May 21, 2015 at 01:57:04PM +0530, Gautham R. Shenoy wrote:
> > In guest_exit_cont we call kvmhv_commence_exit which expects the trap
> > number as the argument. However r3 doesn't contain the trap number at
> > this point and as a result we would be calling the function with a
> > spurious trap number.
> > 
> > Fix this by copying r12 into r3 before calling kvmhv_commence_exit as
> > r12 contains the trap number
> > 
> > Signed-off-by: Gautham R. Shenoy <[email-masked]>
> 
> Hi Gautham,
> 
> I agree with your logic: r3 is quite clearly corrupted in that path. So:
> 
> Reviewed-by: Sam Bobroff <[email-masked]>
> 
> Just one comment: Do you have a case of this causing some visible problem due
> to the corrupted trap number? (I'll test the patch if you do.)
> 

Actually no! I found this bug while reviewing the code for some other issue.

> Cheers,
> Sam.

--
Thanks and Regards
gautham.